![Argon](https://cdn.jsdelivr.net/gh/solstice23/cdn@master/argon_new_animate.svg)

[简体中文](README.md) | [繁體中文](README_tw.md) | **English** | [Russian](README_ru.md)

# Argon-Theme
Argon - A light, simple and beautiful WordPress theme

[![GitHub release](https://img.shields.io/github/v/release/solstice23/argon-theme?color=%235e72e4&style=for-the-badge)](https://github.com/solstice23/argon-theme/releases) [![GitHub All Releases](https://img.shields.io/github/downloads/solstice23/argon-theme/total?style=for-the-badge)](https://github.com/solstice23/argon-theme/releases) [![GitHub](https://img.shields.io/github/license/solstice23/argon-theme?color=blue&style=for-the-badge)](https://github.com/solstice23/argon-theme/blob/master/LICENSE) [![Author]( https://img.shields.io/badge/author-solstice23-yellow?style=for-the-badge)](https://github.com/solstice23) [![GitHub stars](https://img.shields.io/github/stars/solstice23/argon-theme?color=ff69b4&style=for-the-badge)](https://github.com/solstice23/argon-theme/stargazers)

[![GitHub last commit](https://img.shields.io/github/last-commit/solstice23/argon-theme?style=flat-square)](https://github.com/solstice23/argon-theme/commits/master) [![GitHub Release Date](https://img.shields.io/github/release-date/solstice23/argon-theme?style=flat-square)](https://github.com/solstice23/argon-theme/releases) ![GitHub code size in bytes](https://img.shields.io/github/languages/code-size/solstice23/argon-theme?style=flat-square) 

# Features

+ **Light and beautiful** - Using the Argon Design System, the details are exquisite.
+ **Highly customizable** - Customizable theme color, layout (double-column/single-column/triple-column), top column content, side column content, banner, background image, different backgrounds of day and night mode, background immersion, floating action buttons, provide a wealth of customization options.
+ **Dark mode** - Supports three modes: light, dark, and black, can automatically switch according to the time or follow the system.
+ **Various functions** - Tag and category list, sidebar author link, sidebar extra link, word count and estimated reading time display, article outdated information display.
+ **Pjax** - Support Pjax non-refresh loading, improve browsing experience.
+ **Friend links** - Supports the use of Wordpress's built-in link manager for friend links management, and supports many friend links page styles
+ **"Essays"** - Post ideas at any time, and display them on the special "essays" page, and also can show them on homepage
+ **Extended comment functions** - Ajax comments, Markdown, comment CAPTCHA, commenters can edit their comments again, User-Agent display, private comment, email notification, comment editing history, ajax load comment pages, etc.
+ **Other functions** - Article catalog, reading progress, Mathjax or Katex formula rendering, images zoom preview, Pangu.js text formatting, smooth scrolling, etc.
+ **Abundant shortcodes** - Support a lot of shortcodes, like to-do checkbox, tags, alerts, admonitions, folding blocks, Github information cards, timeline, hidden text, videos, etc.
+ **Multi-language** - Support English and Chinese.
+ **Others** - Adaptive page, well-optimized article reading interface CSS, switchable serif/sans-serif font, customizable CSS and JS, support CDN accelerating static files, SEO friendly, Banner typing animation, Messageboard page, etc.

# Install

Download the .zip file on the [Release](https://github.com/solstice23/argon-theme/releases) page, upload and install it on the "Theme" page of the WordPress backend.

# Documentation

[Argon-Theme Document : https://argon-docs.solstice23.top](https://argon-docs.solstice23.top/) (Chinese version)

# Demo

Theme preview

[solstice23.top](https://solstice23.top)

[argon-demo.solstice23.top](http://argon-demo.solstice23.top)

# Attention

Argon uses the [GPL V3.0](https://github.com/solstice23/argon-theme/blob/master/LICENSE) protocol to open source, please follow this protocol for secondary development.

You **should keep the name of the Argon theme and its repo link in the footer**.

You **can remove** the author information in the footer.

# Rendering

![render1](https://cdn.jsdelivr.net/gh/solstice23/cdn@master/argon-render-small-1.jpg)

![render2](https://cdn.jsdelivr.net/gh/solstice23/cdn@master/argon-render-small-2.jpg)

![render3](https://cdn.jsdelivr.net/gh/solstice23/cdn@master/argon-render-small-3.jpg)

![render4](https://cdn.jsdelivr.net/gh/solstice23/cdn@master/argon-render-small-4.jpg)

![render5](https://cdn.jsdelivr.net/gh/solstice23/cdn@master/argon-render-small-5.jpg)

# Telegram Channel
[t.me/argontheme](https://t.me/argontheme)

Automatically push update informations and other news about Argon.

# Update logs

See [readme.md Chinese version](https://github.com/solstice23/argon-theme#%E6%9B%B4%E6%96%B0%E6%97%A5%E5%BF%97).